import flask.scaffold
flask.helpers._endpoint_from_view_func = flask.scaffold._endpoint_from_view_func

from Blueprints.SwaggerApi import SwaggerApi

api = SwaggerApi(
    title='Matchinit Api',
    version='1.0',
    description='Backend of the mobile app.'
)

from Blueprints.Channels import api as channel_api
api.add_namespace(channel_api)
from Blueprints.Matches import api as matches_api
api.add_namespace(matches_api)
from Blueprints.Projects import api as project_api
api.add_namespace(project_api)
from Blueprints.User import api as user_api
api.add_namespace(user_api)
from Blueprints.Images import api as images_api
api.add_namespace(images_api)
from Blueprints.Devices import api as device_api
api.add_namespace(device_api)
from Blueprints.Media import api as media_api
api.add_namespace(media_api)
from Blueprints.Reports import api as report_api
api.add_namespace(report_api)
from Blueprints.ServerVar import api as server_var_api
api.add_namespace(server_var_api)
